@Echo Off
Cls
Rem Set The Following To The Location and Current FileSpecs For The Following
Rem Reader Utils
Set ReaderPath=C:\RoboBbs\Xpress\
Set Reader=SXR302.ZIP
Set ReaderP=SXR302P.ZIP
Set ReaderPU=SXR302PU.ZIP
Set ReaderQ=QPMI.ZIP
Echo Downloading Reader:  Com: %1, User Baud: %2, Protocal: %3
If "%4" == "1" Echo                      %ReaderPath%%Reader%
If "%4" == "2" Echo                      %ReaderPath%%ReaderP%
If "%4" == "3" Echo                      %ReaderPath%%ReaderPU%
If "%4" == "4" Echo                      %ReaderPath%%ReaderQ%
If "%3" == "X" Goto Xmodem
If "%3" == "x" Goto Xmodem
If "%3" == "Y" Goto Ymodem
If "%3" == "y" Goto Ymodem
If "%3" == "Z" Goto Zmodem
If "%3" == "z" Goto Zmodem
Goto Finished
:Xmodem
If "%4" == "1" Echo Downloading %Reader% Using Xmodem CRC > Com%1:
If "%4" == "2" Echo Downloading %ReaderP% Using Xmodem CRC > Com%1:
If "%4" == "3" Echo Downloading %ReaderPU% Using Xmodem CRC > Com%1:
If "%4" == "4" Echo Downloading %ReaderQ% Using Xmodem CRC > Com%1:
Echo Start Your Transfer Now! > Com%1:
If "%4" == "1" C:\RoboBbs\Xpress\Xmt /F /C %1 /B %2 /T /X %ReaderPath%%Reader%
If "%4" == "2" C:\RoboBbs\Xpress\Xmt /F /C %1 /B %2 /T /X %ReaderPath%%ReaderP%
If "%4" == "3" C:\RoboBbs\Xpress\Xmt /F /C %1 /B %2 /T /X %ReaderPath%%ReaderPU%
If "%4" == "4" C:\RoboBbs\Xpress\Xmt /F /C %1 /B %2 /T /X %ReaderPath%%ReaderQ%
Goto Finished
:Ymodem
If "%4" == "1" Echo Downloading %Reader% Using Ymodem Batch > Com%1:
If "%4" == "2" Echo Downloading %ReaderP% Using Ymodem Batch > Com%1:
If "%4" == "3" Echo Downloading %ReaderPU% Using Ymodem Batch > Com%1:
If "%4" == "4" Echo Downloading %ReaderQ% Using Ymodem Batch > Com%1:
Echo Start Your Transfer Now! > Com%1:
If "%4" == "1" C:\RoboBbs\Xpress\Xmt /F /C %1 /B %2 /T /Y %ReaderPath%%Reader%
If "%4" == "2" C:\RoboBbs\Xpress\Xmt /F /C %1 /B %2 /T /Y %ReaderPath%%ReaderP%
If "%4" == "3" C:\RoboBbs\Xpress\Xmt /F /C %1 /B %2 /T /Y %ReaderPath%%ReaderPU%
If "%4" == "4" C:\RoboBbs\Xpress\Xmt /F /C %1 /B %2 /T /Y %ReaderPath%%ReaderQ%
Goto Finished
:Zmodem
If "%4" == "1" Echo Downloading %Reader% Using Zmodem > Com%1:
If "%4" == "2" Echo Downloading %ReaderP% Using Zmodem > Com%1:
If "%4" == "3" Echo Downloading %ReaderPU% Using Zmodem > Com%1:
If "%4" == "4" Echo Downloading %ReaderQ% Using Zmodem > Com%1:
Echo Start Your Transfer Now! > Com%1:
If "%4" == "1" C:\RoboBbs\Xpress\Xmt /F /C %1 /B %2 /T /Z %ReaderPath%%Reader%
If "%4" == "2" C:\RoboBbs\Xpress\Xmt /F /C %1 /B %2 /T /Z %ReaderPath%%ReaderP%
If "%4" == "3" C:\RoboBbs\Xpress\Xmt /F /C %1 /B %2 /T /Z %ReaderPath%%ReaderPU%
If "%4" == "4" C:\RoboBbs\Xpress\Xmt /F /C %1 /B %2 /T /Z %ReaderPath%%ReaderQ%
:Finished
